Access Denied error when you attempt to use VNC Deployment Wizard or a remote management tool
Posted by Yury Averkiev, Last modified by Yury Averkiev on 11 February 2018 06:03 AM

You may receive an "Access Denied" error when you attempt to use one of the SmartCode VNC Manager remote managment tools, for example, Service Manager, or when you attempt to deploy VNC server to a remote PC. The steps below can help you to troubleshoot the problem:

  • Make sure that you have entered a valid administrative logon credentials
  • Windows XP: Simplified File Sharing must be turned off. To turn it off: Open Windows Explorer. Tools->Folder Options->View. Uncheck "Use simplified file sharing" item.
  • Windows Vista / 7 / 8 / 10 with UAC turned on: Change the value of the LocalAccountTokenFilterPolicy registry entry on the remote Windows Vista/7/8/10-based computer so that the full credentials can be passed between the computer running SmartCode VNC Manager and the remote computer. For more information, see the following article in the Microsoft Knowledge Base: How to change the Remote UAC LocalAccountTokenFilterPolicy registry setting in a Windows Vista image
  • You should check that Allow Distributed COM setting is enabled on the computer you are trying to deploy to (it's enabled by default but some software might turn it off). To do so you should open Component Services snap-in. Start->Administrative Tools->Component Services
  • When snap-in is running in the left tree navigate to: Console Root->Component Services->Computers->My Computer and select Properties command.
    NOTE: you must run the snap-in on the computer you are trying to deploy to. Or you can also connect to the computer remotely by running New->Computer context menu command available for the Console Root->Component Services->Computers tree node.

    Do not close the properties window and proceed to the next step.
  • Ensure that under the default access permission the SYSTEM user has "Remote Access" permission enabled.

APPLIES TO: SmartCode VNC Manager v3.0.0 or newer